require "evvnt-submission-form-angular-rails/version"

require "rails-assets-angular"
require "rails-assets-angular-formly-templates-bootstrap"
require "rails-assets-angular-formly"
require "rails-assets-api-check"
require "rails-assets-bootstrap"

module EvvntSubmissionFormAngularRails

  def self.gem_path
    Pathname(File.realpath(__FILE__)).join('../..')
  end

  def self.gem_spec
    Gem::Specification::load(
      gem_path.join("evvnt-submission-form-angular-rails.gemspec").to_s
    )
  end

  def self.load_paths
    gem_path.join('app/assets').each_child.to_a
  end

  def self.dependencies
    [
      RailsAssetsAngular
    ]
  end

  if defined?(Rails)
    class Engine < ::Rails::Engine
      # Rails -> use app/assets directory.
    end
  end

end

class RailsAssets
  @components ||= []

  class << self
    attr_accessor :components

    def load_paths
      components.flat_map(&:load_paths)
    end
  end
end

RailsAssets.components << EvvntSubmissionFormAngularRails
